cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/{customerId}/invoices/{invoiceId} \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/{customerId}/invoices/{invoiceId}"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/{customerId}/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quantityItens": 3,
"balanceData": {
"totalFranchise": 2257,
"totalConsumption": 235,
"consumptionFranchise": 2322,
"consumptionExceeded": "2",
"usagePackage": 8938730496,
"blConsumptionFranchise": 13019.5,
"dateConsumptionUpdate": "01-09-2021"
},
"invoiceData": {
"invoiceId": 6,
"startDate": "01-09-2021",
"endDate": "30-09-2021",
"dueDate": "11-10-2021",
"totalTraffic": 0,
"invoiceAmount": 0,
"terminals": 0,
"useTerminals": 0,
"subInvoiceQuantity": 0,
"idStatusInvoice": "C",
"synchronized": false
},
"itens": [
{
"id": 6,
"item": "Description",
"quantityItem": 2,
"unitaryValue": 23.25,
"totalValue": 32.56
}
]
}{
"errors": "Parameter not found"
}{
"errors": "Parameter not found"
}MoT
Listar as faturas e detalhes de contas virtuais - invoiceId
Listar as faturas das contas virtuais / Buscar os detalhes da fatura do MoT.
GET
/
broker
/
{customerId}
/
invoices
/
{invoiceId}
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Id do cliente
Example:
"client_id"
Token gerado.
Example:
"access_token"
Path Parameters
Identificador do cliente.
Example:
"123654"
Identificador da fatura.
Example:
"123654"
Query Parameters
Unidade que deseja retorno, se não infomrado por default MB
Example:
"MB"
Response
OK

